javax.jdo.metadata

## Interface FetchPlanMetadata

- All Superinterfaces:
    Metadata

      public interface FetchPlanMetadata
      extends Metadata

  Represents a fetch plan for a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FetchGroupMetadata[]` | `getFetchGroups()` Accessor for all fetch groups defined for this fetch plan.
    `int` | `getFetchSize()` Accessor for the max fetch depth.
    `int` | `getMaxFetchDepth()` Accessor for the max fetch depth.
    `String` | `getName()` Accessor for the fetch plan name (set on construction).
    `int` | `getNumberOfFetchGroups()` Accessor for the number of fetch groups defined for this fetch plan.
    `FetchGroupMetadata` | `newFetchGroupMetadata(String name)` Add a new fetch group for this fetch plan.
    `FetchPlanMetadata` | `setFetchSize(int size)` Method to set the fetch size.
    `FetchPlanMetadata` | `setMaxFetchDepth(int depth)` Method to set the max fetch depth for this plan.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### getName

          String getName()

      Accessor for the fetch plan name (set on construction).
      Returns:
        The fetch plan name

    - #### setMaxFetchDepth

          FetchPlanMetadata setMaxFetchDepth(int depth)

      Method to set the max fetch depth for this plan.
      Parameters:
        `depth` - The max fetch depth
      Returns:
        This metadata object

    - #### getMaxFetchDepth

          int getMaxFetchDepth()

      Accessor for the max fetch depth.
      Returns:
        The max fetch depth

    - #### setFetchSize

          FetchPlanMetadata setFetchSize(int size)

      Method to set the fetch size.
      Parameters:
        `size` - The fetch size
      Returns:
        This metadata object

    - #### getFetchSize

          int getFetchSize()

      Accessor for the max fetch depth.
      Returns:
        The max fetch depth

    - #### getFetchGroups

          FetchGroupMetadata[] getFetchGroups()

      Accessor for all fetch groups defined for this fetch plan.
      Returns:
        The fetch groups

    - #### newFetchGroupMetadata

          FetchGroupMetadata newFetchGroupMetadata(String name)

      Add a new fetch group for this fetch plan.
      Parameters:
        `name` - Name of fetch group.
      Returns:
        The FetchGroupMetadata

    - #### getNumberOfFetchGroups

          int getNumberOfFetchGroups()

      Accessor for the number of fetch groups defined for this fetch plan.
      Returns:
        The number of fetch groups

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.